### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
OptionletStripper Class Reference

`#include <ql/termstructures/volatility/optionlet/optionletstripper.hpp>`

Inheritance diagram for OptionletStripper:
[legend]

List of all members.

## Public Member Functions

const std::vector< Period > & | optionletFixingTenors () const
const std::vector< Date > & | optionletPaymentDates () const
const std::vector< Time > & | optionletAccrualPeriods () const
boost::shared_ptr < CapFloorTermVolSurface > | termVolSurface () const
boost::shared_ptr< IborIndex > | iborIndex () const
StrippedOptionletBase interface
const std::vector< Rate > & | optionletStrikes (Size i) const
const std::vector< Volatility > & | optionletVolatilities (Size i) const
const std::vector< Date > & | optionletFixingDates () const
const std::vector< Time > & | optionletFixingTimes () const
Size | optionletMaturities () const
const std::vector< Rate > & | atmOptionletRates () const
DayCounter | dayCounter () const
Calendar | calendar () const
Natural | settlementDays () const
BusinessDayConvention | businessDayConvention () const

## Protected Member Functions

| OptionletStripper (const boost::shared_ptr< CapFloorTermVolSurface > &, const boost::shared_ptr< IborIndex > &iborIndex_)

## Protected Attributes

const boost::shared_ptr < CapFloorTermVolSurface > | termVolSurface_
const boost::shared_ptr < IborIndex > | iborIndex_
Size | nStrikes_
Size | nOptionletTenors_
std::vector< std::vector< Rate > > | optionletStrikes_
std::vector< std::vector < Volatility > > | optionletVolatilities_
std::vector< Time > | optionletTimes_
std::vector< Date > | optionletDates_
std::vector< Period > | optionletTenors_
std::vector< Rate > | atmOptionletRate_
std::vector< Date > | optionletPaymentDates_
std::vector< Time > | optionletAccrualPeriods_
std::vector< Period > | capFloorLengths_

## Detailed Description

StrippedOptionletBase specialization. It's up to derived classes to implement LazyObject::performCalculations